Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class ReportEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.ReportEventAdapter

All Implemented Interfaces:
  IReportEventHandler

    public class ReportEventAdapter

extends java.lang.Object
implements IReportEventHandler

Default (empty) implementation of the IReportEventHandler interface

Constructor Summary
`ReportEventAdapter()`

Method Summary
`void` | `afterFactory(IReportContext reportContext)` Handle the afterFactory event
`void` | `afterRender(IReportContext reportContext)` Handle the afterRender event
`void` | `beforeFactory(IReportDesign report, IReportContext reportContext)` Handle the beforeFactory event
`void` | `beforeRender(IReportContext reportContext)` Handle the beforeRender event
`void` | `initialize(IReportContext reportContext)` Handle the initialize event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportEventAdapter

    public ReportEventAdapter()

Method Detail

### initialize

    public void initialize(IReportContext reportContext)
                    throws ScriptException

  Description copied from interface: `IReportEventHandler`
  Handle the initialize event

  Specified by:
    `initialize` in interface `IReportEventHandler`
  Throws:
    `ScriptException`

### beforeFactory

    public void beforeFactory(IReportDesign report,
                              IReportContext reportContext)
                       throws ScriptException

  Description copied from interface: `IReportEventHandler`
  Handle the beforeFactory event

  Specified by:
    `beforeFactory` in interface `IReportEventHandler`
  Throws:
    `ScriptException`

### afterFactory

    public void afterFactory(IReportContext reportContext)
                      throws ScriptException

  Description copied from interface: `IReportEventHandler`
  Handle the afterFactory event

  Specified by:
    `afterFactory` in interface `IReportEventHandler`
  Throws:
    `ScriptException`

### beforeRender

    public void beforeRender(IReportContext reportContext)
                      throws ScriptException

  Description copied from interface: `IReportEventHandler`
  Handle the beforeRender event

  Specified by:
    `beforeRender` in interface `IReportEventHandler`
  Throws:
    `ScriptException`

### afterRender

    public void afterRender(IReportContext reportContext)
                     throws ScriptException

  Description copied from interface: `IReportEventHandler`
  Handle the afterRender event

  Specified by:
    `afterRender` in interface `IReportEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.